/*
 * Nombre del proyecto: Proyecto Arkanoid
 *
 * Nombre del fichero: juego.h
 *
 * Nombre de los autores: Grzegorz Adam Hankiewicz y Carlos Pereda Moreno
 *
 * Fecha: 18 de Enero del 2000
 *
 * Descripcin: Fichero de cabecera, contiene definiciones, prototipos y
 * variables globales.
 */

#ifndef JUEGO_H
#define JUEGO_H

/*
 * VARIABLES GLOBALES
 */

#ifdef DECLARA_VARIABLES_JUEGO_C

volatile int tick_counter, sec_counter;

#else

extern volatile int tick_counter, sec_counter;

#endif /* DECLARA_VARIABLES_JUEGO_C */



/*
 * PROTOTIPOS DE FUNCIONES EXTERNAS
 */

int      juego (void);

/*
 * PROTOTIPOS DE FUNCIONES INTERNAS
 */

BITMAP   *carga_mapa_ladrillos (char *texto);
DATOS_JUEGO *inicializa_datos_juego (void);
void     destruye_datos_juego (DATOS_JUEGO *datos);
int      bucle_juego (DATOS_JUEGO *datos);
void     procesa_juego (DATOS_JUEGO *datos);
void     dibuja_menu (void);



#endif /* JUEGO_H */
