/*
 * Nombre del proyecto: Proyecto Arkanoid
 *
 * Nombre del fichero: graph.h
 *
 * Nombre de los autores: Grzegorz Adam Hankiewicz y Carlos Pereda Moreno
 *
 * Fecha: 18 de Enero del 2000
 *
 * Descripcin: Fichero de cabecera, contiene definiciones, prototipos y
 * variables globales.
 */

#ifndef GRAPH_H
#define GRAPH_H

/*
 * VARIABLES GLOBALES
 */

#ifdef DECLARA_VARIABLES_GRAPH_C

int   margen_der, margen_alto, margen_izq, escalado_pantalla;
int   color[16];

#else

extern   int   margen_der, margen_alto, margen_izq, escalado_pantalla;
extern   int   color[16];

#endif /* DECLARA_VARIABLES_GRAPH_C */

/*
 * PROTOTIPOS DE FUNCIONES EXTERNAS
 */

void     dibuja_pantalla (DATOS_JUEGO *datos);
int      inicializa_motor_grafico (void);
void     dibuja_marco_pantalla (BITMAP *bmp);
void     finaliza_motor_grafico (void);
void     dibujar_ladrillos (DATOS_JUEGO *datos, int x1, int y1, int x2, int y2);
void     escribe_texto (BITMAP *bmp, FONT *font, int x, int y, int w, int h,
                        int color_texto, int color_fondo, char *texto, ...);

/*
 * PROTOTIPOS DE FUNCIONES INTERNAS
 */

void     dibujar_pelota (DATOS_JUEGO *datos);
void     dibujar_raqueta (DATOS_JUEGO *datos);
void     dibujar_marcador (BITMAP *bmp, DATOS_JUEGO *datos);
int      obten_escalado_optimo (void);
int      color_ladrillo_diferente (DATOS_JUEGO *datos, int x, int y, int col);
void     inicia_tabla_de_colores (void);
void     _escribe_texto (BITMAP *bmp, FONT *font, int x, int y, int w, int h,
                         int color_texto, int color_fondo, char *texto);

#endif /* GRAPH_H */
