/*
 * Nombre del proyecto: Proyecto Arkanoid
 *
 * Nombre del fichero: lborrado.h
 *
 * Nombre de los autores: Grzegorz Adam Hankiewicz y Carlos Pereda Moreno
 *
 * Fecha: 18 de Enero del 2000
 *
 * Descripcin: Fichero de cabecera, contiene definiciones, prototipos y
 * variables globales.
 */

#ifndef LBORRADO_H
#define LBORRADO_H

/*
 * VARIABLES GLOBALES
 */

#ifdef DECLARA_VARIABLES_LBORRADO_C

LISTA_BORRADO *lista_borrado_logica, *lista_borrado_fisica;

#else

extern LISTA_BORRADO *lista_borrado_logica, *lista_borrado_fisica;

#endif /* DECLARA_VARIABLES_LBORRADO_C */


/*
 * PROTOTIPOS DE FUNCIONES EXTERNAS
 */

int      inicializa_listas_borrado (void);
void     destruye_lista_borrado (void);
void     marca_zona_borrado (LISTA_BORRADO *lista, int x, int y, int w, int h);
void     recupera_zonas_borrado (DATOS_JUEGO *datos);
void     recupera_zonas_pantalla (BITMAP *bmp, DATOS_JUEGO *datos);

/*
 * PROTOTIPOS DE FUNCIONES INTERNAS
 */

void     limpia_lista_borrado (LISTA_BORRADO *lista);


#endif /* LBORRADO_H */

