/*
 * Nombre del proyecto: Proyecto Arkanoid
 *
 * Nombre del fichero: log.h
 *
 * Nombre de los autores: Grzegorz Adam Hankiewicz y Carlos Pereda Moreno
 *
 * Fecha: 18 de Enero del 2000
 *
 * Descripcin: Fichero de cabecera, contiene definiciones, prototipos y
 * variables globales.
 */

#ifndef LOG_H
#define LOG_H

/*
 * DEFINICIONES DE ESTRUCTURAS
 */

typedef struct mensaje_t MENSAJE;

struct mensaje_t
{
   char     *texto;
   MENSAJE  *prev,*next;
};


/*
 * VARIABLES GLOBALES EXTERNAS
 * Nota: no se declaran las variables globales como extern, para que otros
 * ficheros .c no puedan acceder a ellas, o den errores de compilacin. Sin
 * embargo se siguen poniendo aqui, porque as es ms difcil perderlas
 * de vista.
 */

#ifdef DECLARA_VARIABLES_LOG_C

unsigned long  maximo_mensajes_log_permitidos;
unsigned long  num_mensajes_log;

char     path_fichero_log[STR];

MENSAJE  *mensaje_primero=NULL;
MENSAJE  *mensaje_ultimo=NULL;

#else

/* NADA */

#endif /* DECLARA_VARIABLES_LOG_C */


/*
 * PROTOTIPOS DE FUNCIONES EXTERNAS
 */


int      inicializa_logging (unsigned long max_mensajes);
void     finaliza_logging (void);
void     lprintf (char *msg, ...);
int      comprueba_validez_fichero_log (char *nombre_fichero);
void     imprime_informacion_sistema (unsigned char salida_lprintf);


/*
 * PROTOTIPOS DE FUNCIONES INTERNAS
 */

void     libera_mensajes_log (void);
void     destruye_mensaje_log (MENSAJE *men);
void     crea_mensaje_log (char *texto);
void     elimina_excedente_lista_log (void);

#endif /* LOG_H */
